---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetthrdstor003.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x43D0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51120, symBinAddr: 0xC5F0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53060, symBinAddr: 0xE530, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53450, symBinAddr: 0xE920, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x543F0, symBinAddr: 0xF8C0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54400, symBinAddr: 0xF8D0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50990, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50994, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50998, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50AF0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50BA8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50BAC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50BB0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50BB4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50BB8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50BC0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50BD0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50BD8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50BE0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50BE8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50BF0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50BF8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL11eventsStart, symObjAddr: 0x50C3C, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x951F, offset: 0x951F, size: 0x8, addend: 0x0, symName: __ZL11storageData, symObjAddr: 0x50C82, symBinAddr: 0xC1E2, symSize: 0x0 }
  - { offsetInCU: 0x9538, offset: 0x9538, size: 0x8, addend: 0x0, symName: __ZL9eventsEnd, symObjAddr: 0x50C40, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9551, offset: 0x9551, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50C48, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x95A3, offset: 0x95A3, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3070, symSize: 0x80 }
  - { offsetInCU: 0x9638, offset: 0x9638, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2FC0, symSize: 0xB0 }
  - { offsetInCU: 0x9693, offset: 0x9693, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2EC0, symSize: 0x100 }
  - { offsetInCU: 0x9926, offset: 0x9926, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x30F0, symSize: 0xC0 }
  - { offsetInCU: 0x9978, offset: 0x9978, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x31B0, symSize: 0x220 }
  - { offsetInCU: 0x9B5D, offset: 0x9B5D, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x33D0, symSize: 0xA0 }
  - { offsetInCU: 0x9C10, offset: 0x9C10, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3470, symSize: 0x110 }
  - { offsetInCU: 0x9D06, offset: 0x9D06, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3580, symSize: 0x150 }
  - { offsetInCU: 0x9E63, offset: 0x9E63, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x36D0, symSize: 0x30 }
  - { offsetInCU: 0x9F50, offset: 0x9F50, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3700, symSize: 0x150 }
  - { offsetInCU: 0xA148, offset: 0xA148, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3850, symSize: 0x160 }
  - { offsetInCU: 0xA408, offset: 0xA408, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x39B0, symSize: 0x4A0 }
  - { offsetInCU: 0xA67B, offset: 0xA67B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3E50, symSize: 0x1B0 }
  - { offsetInCU: 0xA896, offset: 0xA896, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4000, symSize: 0xA0 }
  - { offsetInCU: 0xA965, offset: 0xA965, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x40A0, symSize: 0x20 }
  - { offsetInCU: 0xA99C, offset: 0xA99C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x40C0, symSize: 0x20 }
  - { offsetInCU: 0xA9D3, offset: 0xA9D3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x40E0, symSize: 0x20 }
  - { offsetInCU: 0xAB42, offset: 0xAB42, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4100, symSize: 0x1A0 }
  - { offsetInCU: 0xAE5E, offset: 0xAE5E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x42A0, symSize: 0x130 }
  - { offsetInCU: 0xB00E, offset: 0xB00E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4640, symSize: 0x1B0 }
  - { offsetInCU: 0xB2FD, offset: 0xB2FD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x47F0, symSize: 0x80 }
  - { offsetInCU: 0xB3C6, offset: 0xB3C6, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4870, symSize: 0x6A0 }
  - { offsetInCU: 0xBF5B, offset: 0xBF5B, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA5B0, symBinAddr: 0x5FB0, symSize: 0xB0 }
  - { offsetInCU: 0xBFD2, offset: 0xBFD2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4F10, symSize: 0x70 }
  - { offsetInCU: 0xC06E, offset: 0xC06E, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4F80, symSize: 0xA0 }
  - { offsetInCU: 0xC179, offset: 0xC179, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5020, symSize: 0x40 }
  - { offsetInCU: 0xC26F, offset: 0xC26F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5060, symSize: 0x2B0 }
  - { offsetInCU: 0xC615, offset: 0xC615, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5310, symSize: 0xC0 }
  - { offsetInCU: 0xC75B, offset: 0xC75B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x53D0, symSize: 0x10 }
  - { offsetInCU: 0xC81D, offset: 0xC81D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x53E0, symSize: 0x220 }
  - { offsetInCU: 0xCB1A, offset: 0xCB1A, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5600, symSize: 0x10 }
  - { offsetInCU: 0xCB77, offset: 0xCB77, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5610, symSize: 0x210 }
  - { offsetInCU: 0xCDEB, offset: 0xCDEB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E20, symBinAddr: 0x5820, symSize: 0x10 }
  - { offsetInCU: 0xCE74, offset: 0xCE74, size: 0x8, addend: 0x0, symName: _callbackThreadStart, symObjAddr: 0x9E30, symBinAddr: 0x5830, symSize: 0x170 }
  - { offsetInCU: 0xD082, offset: 0xD082, size: 0x8, addend: 0x0, symName: _callbackThreadEnd, symObjAddr: 0x9FA0, symBinAddr: 0x59A0, symSize: 0x2D0 }
  - { offsetInCU: 0xD366, offset: 0xD366, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA270, symBinAddr: 0x5C70, symSize: 0x340 }
  - { offsetInCU: 0xD723, offset: 0xD723, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA660, symBinAddr: 0x6060, symSize: 0x36A }
...
